Name: 		xfce4-diskperf-plugin
Summary:        Disk performance plugin for the Xfce4 panel
Summary(ja):    Xfce パネル用 ディスクパフォーマンス表示プラグイン
Version:        2.5.3
Release: 	1%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0: 	http://archive.xfce.org/src/panel-plugins/%{name}/2.5/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildRequires:  libxfce4util-devel >= 4.8.0
BuildRequires:  libxfce4ui-devel >= 4.8.0
BuildRequires:  xfce4-panel-devel >= 4.8.0

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
The DiskPerf plugin displays disk/partition performance based on data provided
by Linux kernels 2.6 or recent 2.4's (at least 2.4.20 compiled with CONFIG_BLK_STATS
turned on, or possibly older kernel patched with "Disk extended statistics" in
/proc/partitions),or with NetBSD, based on the dk_rbytes and db_wbytes values provided
by the hw.diskstats sysctl (see iostat for details).


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/xfce4/panel/plugins/libdiskperf.so
%{_datadir}/xfce4/panel/plugins/diskperf.desktop

%changelog
* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.5.3-1
- initial build for Vine Linux

